"""
#    Copyright 2022 Red Hat
#
#    Licensed under the Apache License, Version 2.0 (the "License"); you may
#    not use this file except in compliance with the License. You may obtain
#    a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
#    WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
#    License for the specific language governing permissions and limitations
#    under the License.
"""


class InsightsError(Exception):
    """Base exception for any error happening in the 'insights' library.
    """


class InvalidURL(InsightsError):
    """Complains about a URL that did not follow an expected format.
    """


class DownloadError(InsightsError):
    """Indicates that a problem happened while a file was getting
    downloaded.
    """


class IllegibleData(InsightsError):
    """Some data is formatted on a way that the library cannot understand.
    """
